package com.gic.enterprise.web.controller;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.AppletDecorationConfigDTO;
import com.gic.enterprise.service.AppletDecorationConfigApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.utils.UserDetailUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/applet-decoration-config")
public class AppletDecorationConfigController {

    @Autowired
    private AppletDecorationConfigApiService appletDecorationConfigApiService;

    @RequestMapping("/save")
    public RestResponse save(AppletDecorationConfigDTO dto) {
        return ResultControllerUtils.commonResult(appletDecorationConfigApiService.save(dto));
    }

    @RequestMapping("/edit")
    public RestResponse edit(AppletDecorationConfigDTO dto) {
        return ResultControllerUtils.commonResult(appletDecorationConfigApiService.edit(dto));
    }

    @RequestMapping("/get-detail")
    public RestResponse getDetail(String appId) {
        return ResultControllerUtils.commonResult(appletDecorationConfigApiService.getDetailByAppId(appId,
                UserDetailUtils.getUserDetail().getEnterpriseId()));
    }
}
